#ifndef MAINCLASS_H
#define MAINCLASS_H

#include <QObject>
#include "inputbusiness.h"

class MainClass : public QObject
{
    Q_OBJECT
public:
    explicit MainClass(QObject *parent = 0);

    enum DeviceType
    {
        Gpio,
        Random
    };

signals:

public slots:
    void main();

private:
    InputBusiness* m_input;

    DeviceType m_device;

    QHostAddress m_address;

    QList<QVariant> m_channels;

    int m_port;

    void getOpts();
};

#endif // MAINCLASS_H
