#ifndef INPUTMANAGER_H
#define INPUTMANAGER_H

#include <QObject>
#include <QVariant>

class InputManager : public QObject
{
    Q_OBJECT
public:
    InputManager(QObject* parent = 0);
    virtual ~InputManager();

public slots:
    virtual bool init(const QVariant& channels) = 0;

    virtual QVariant read(const QVariant& channel) = 0;
};

#endif // INPUTMANAGER_H
